Skip to main content
POST
/
cabinet
/
admin
/
channel-subscriptions
/
{channel_db_id}
/
toggle
Toggle Channel Endpoint
curl --request POST \
  --url https://api.example.com/cabinet/admin/channel-subscriptions/{channel_db_id}/toggle \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "channel_id": "<string>",
  "channel_link": "<string>",
  "title": "<string>",
  "is_active": true,
  "sort_order": 123,
  "disable_trial_on_leave": true,
  "disable_paid_on_leave": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channel_db_id
integer
required

Response

Successful Response

id
integer
required
channel_id
string
required
title
string | null
required
is_active
boolean
required
sort_order
integer
required
disable_trial_on_leave
boolean
required
disable_paid_on_leave
boolean
required